Subject: Re: [RFC net-next 1/3] net: provide macros for commonly copied lockless queue stop/wake code

From: Jakub Kicinski <[email-masked]>
Date: Mon, 13 Mar 2023 13:56:40 -0700

On Sun, 12 Mar 2023 18:45:15 -0700 Stephen Hemminger wrote:
> > > Could any of these be inline functions instead for type safety?    
> > 
> > I suppose not because of the condition that is evaluated.  
> 
> It is more that the condition needs to evaluated after some other
> pre-conditions.

Right, I think I could slice off individual chunks and wrap them in
static inlines, but I reckon the result is relatively readable now?